System requirements | Ranorex
HomeUser GuideSystem requirements

System requirements

 

This chapter lists the hardware and software requirements for all Ranorex versions.

In this chapter

    Hardware requirements

    The hardware requirements apply to all Ranorex versions.

    Processor: 2 GHz dual core

    Memory: 1 GB

    Disk space: 220 MB for full installation, 80 MB for Ranorex runtime only. 25 MB for Ranorex Agent.

    Ranorex 8.0, 8.1

    Supported operating systems (32- and 64-bit editions, except for Itanium-based systems):

    • Windows Vista
    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows 10
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2
    • Windows Server 2016

    Software requirements

    The following software requirements are needed to run all Ranorex components (Runtime, Studio, Spy, Recorder, License Manager, and Agent). They are automatically installed when running the Ranorex setup:

    • Microsoft Windows Installer 3.1 or higher
    • Microsoft Visual C++ 2008 x86
    • Microsoft Visual C++ 2008 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2010 x86
    • Microsoft Visual C++ 2010 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2015 x86
    • Microsoft Visual C++ 2015 x64 (required for 64 bit Windows versions only)
    • Microsoft .NET Framework 4.5.2 or higher
    • Internet Explorer 8 or higher (with the latest patches and updates)

    Ranorex 7.1.2, 7.2

    Supported operating systems

    Supported operating systems (32- and 64-bit editions, except for Itanium-based systems):

    • Windows XP
    • Windows Vista
    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows 10
    • Windows Server 2003
    • Windows Server 2003 R2
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2
    • Windows Server 2016

     

    Software requirements

    The following software requirements are needed to run all Ranorex components (Runtime, Spy, Recorder, License Manager and Agent). They are automatically installed when running the Ranorex setup:

    • Microsoft Windows Installer 3.1 or higher
    • Microsoft Visual C++ 2008 x86
    • Microsoft Visual C++ 2008 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2010 x86
    • Microsoft Visual C++ 2010 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2015 x86
    • Microsoft Visual C++ 2015 x64 (required for 64 bit Windows versions only)
    • Microsoft .NET Framework 4.0 or higher
    • Internet Explorer 8 or higher (with the latest patches and updates)

    Ranorex 7.1, 7.1.1

    Supported operating systems

    Supported operating systems (32- and 64-bit editions, except for Itanium-based systems):

    • Windows XP
    • Windows Vista
    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows 10
    • Windows Server 2003
    • Windows Server 2003 R2
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2
    • Windows Server 2016

    Software Requirements

    The following software requirements are needed to run all Ranorex components (Runtime, Spy, Recorder, License Manager and Agent). They are automatically installed when running the Ranorex setup:

    • Microsoft Windows Installer 3.1 or higher
    • Microsoft Visual C++ 2015 x86
    • Microsoft Visual C++ 2015 x64 (required for 64 bit Windows versions only)
    • Microsoft .NET Framework 4.0 or higher
    • Internet Explorer 8 or higher (with the latest patches and updates)

    Ranorex 6.1-7.0

    Supported operating systems

    Supported operating systems (32- and 64-bit editions, except for Itanium-based systems):

    • Windows XP
    • Windows Vista
    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows 10
    • Windows Server 2003
    • Windows Server 2003 R2
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2
    • Windows Server 2016

    Software requirements

    The following software requirements are needed to run all Ranorex components (Runtime, Spy, Recorder, License Manager and Agent). They are automatically installed when running the Ranorex setup:

    • Microsoft Windows Installer 3.1 or higher
    • Microsoft Visual C++ 2008 x86
    • Microsoft Visual C++ 2008 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2010 x86
    • Microsoft Visual C++ 2010 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2015 x86
    • Microsoft Visual C++ 2015 x64 (required for 64 bit Windows versions only)
    • Microsoft .NET Framework 4.0 or higher
    • Internet Explorer 8 or higher (with the latest patches and updates)

    Ranorex 6.0 and earlier

    Supported operating systems

    Supported operating systems (32- and 64-bit editions, except for Itanium-based systems):

    • Windows XP
    • Windows Vista
    • Windows 7
    • Windows 8
    • Windows 8.1
    • Windows 10
    • Windows Server 2003
    • Windows Server 2003 R2
    • Windows Server 2008
    • Windows Server 2008 R2
    • Windows Server 2012
    • Windows Server 2012 R2
    • Windows Server 2016

    Software Requirements

    The following software requirements are needed to run all Ranorex components (Runtime, Spy, Recorder, License Manager). They are usually automatically installed when running the Ranorex setup:

    • Microsoft Windows Installer 3.1 or higher
    • Microsoft Visual C++ 2008 x86
    • Microsoft Visual C++ 2008 x64 (required for 64 bit Windows versions only)
    • Microsoft Visual C++ 2010 x86
    • Microsoft Visual C++ 2010 x64 (required for 64 bit Windows versions only)
    • Microsoft .NET Framework 2.0 SP2 or higher
    • Internet Explorer 7 or higher (with the latest patches and updates)

    Additionally, for automating WPF applications (since  Ranorex 5.3) and running Ranorex Studio the following prerequisites are required:

    Microsoft .NET Framework 3.5 SP1 or higher